Cantera 2.6.0

Classes | Namespaces | Functions
Solution.h File Reference
`#include "cantera/base/ctexceptions.h"`
`#include "cantera/base/AnyMap.h"`
Include dependency graph for Solution.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Solution
| A container class holding managers for all pieces defining a phase. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
shared_ptr< Solution > | newSolution (const std::string &infile, const std::string &name, const std::string &transport, const std::vector< std::string > &adjacent)
| Create and initialize a new Solution from an input file. More...
shared_ptr< Solution > | newSolution (const std::string &infile, const std::string &name="", const std::string &transport="", const std::vector< shared_ptr< Solution > > &adjacent={})
| Create and initialize a new Solution manager from an input file. More...
shared_ptr< Solution > | newSolution (const AnyMap &phaseNode, const AnyMap &rootNode=AnyMap(), const std::string &transport="", const std::vector< shared_ptr< Solution > > &adjacent={}, const std::map< std::string, shared_ptr< Solution > > &related={})
| Create and initialize a new Solution manager from AnyMap objects. More...